from django.contrib.auth import get_user_model
from rest_framework import serializers


class PersonInfoSerializer(serializers.ModelSerializer):
    full_name = serializers.ReadOnlyField()

    class Meta:
        model = get_user_model()
        fields = [
            'full_name'
        ]

    def validate(self, attrs):
        return super().validate(attrs)
